#include <stdio.h>
#include <stdlib.h>

int a;

int sum(int a, int b) {
    return a+b;
}

void print(int num) {
    printf("%d\n", num);
    fflush(stdout);
}

int scan() {
    char buffer[100];
    int res;
    if (fgets(buffer, sizeof(buffer), stdin) != NULL) {
        if (sscanf(buffer, "%d", &res) == 1) {
            return res;
        }
    }
    return 0; // or handle error
}